<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
</head>
<body>
   <script>
   /* let name = prompt('')
     for (let i = 0; i < 3; i++) {
         name = prompt('Введите свое имя');
         if(!isNaN(name)){
             
         }
         else
     }*/
    /*const number = prompt('введите число');
    for (let i = 1; i<=number; i++){
        if(i%2==0){
            console.log(`${i} - четное`)
        }
        
        else{
            console.log(`${i} - нечетное`);

        }
    }*/
       
/*const famNumber = +prompt("Введите количество членов семьи");
let sum = 0
for (let i=1;i<=famNumber;i++){
    const memberSum = +prompt("Cколько каждый потратил в магазине");
    sum +=memberSum;
}
if (sum > 5000){
    console.log("Прожрать можно все")
}*/
       

    /*const floorQuantity = +prompt('Enter floor quantity');
       for(let i =1; i<=floorQuantity; i++){
           if(i===4){
               continue;
           }
           console.log(`${i}`)
       }*/
       
/*let number = prompt("Введите число");
let sum = 0;
       while(number / 2 > 50 ){
        number = number/2;
           sum++;
           console.log(sum);
       }*/
       
/*let name = prompt("Enter name");
while(!isNaN(name)){
    name = prompt("Enter name")
if (name === null){
    break;
}
if(name !=null){
    console.log(name);
}
}*/
       
let name = prompt('Введите ваше имя');
While(!isNaN(name)){
    name = prompt('Введите ваше имя');
}
let surname = prompt('Введите вашу фамилию');
While(!isNaN(name)){
        surname = prompt('Введите ваше имя');

}

let age = prompt('Введите ваш вес');  
while(age==='' || age<=0 || age===' '|| age===null){
    age=prompt("Введите ваш вес")
}
       
let height = prompt('Введите ваш рост');
while(height==='' || height<=0 || height===' '|| height===null){
    height=prompt("Введите ваш вес")

    </script> 
</body>
</html>

